=== src/alpha_shape/src/CMakeLists.txt ===
ADD_LIBRARY(alpha_shape OBJECT
    alpha.c
    alpha_driver.cpp
 )
