=== src/internalQueryTests/src/CMakeLists.txt ===
ADD_LIBRARY(internalQueryTests OBJECT 
    testXYedges.c 
    testXYedges_driver.cpp
    
    test_matrixRows.c
    test_matrixRows_driver.cpp


    test_c_edges.c 
    test_c_edges_driver.cpp
    )
