=== src/lineGraph/src/CMakeLists.txt ===
ADD_LIBRARY(lineGraph OBJECT
    lineGraph.c
    lineGraph_driver.cpp
    )
