=== debian/changelog ===
pgrouting (2.5.0-2~exp1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-pgrouting-source-distribution=sid-20,
    a8f148219f9ad640218773cc4dcb40e8f7335d00/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 28 Sep 2017 10:19:19 +0200

pgrouting (2.5.0-2~exp1) experimental; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * Bump cmake build-dependency to 3.2, needed to support continue().

  [ Bas Couwenberg ]
  * Update packaging for postgresql 10.
  * Bump Standards-Version to 4.1.0, no changes.
  * Add python3-sphinx to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Sep 2017 22:46:16 +0200

pgrouting (2.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * Add dependency alternative on postgresql-PGVERSION-postgis-2.4.
  * Clarify -scripts package description; the SQL files are also necessary
    for the initial installation.
  * Hardlink identical extension upgrade scripts to cut down installation
    size.

  [ Bas Couwenberg ]
  * New upstream release.
  * Refresh patches.
  * Prefer PostGIS 2.3 over 2.4 which is currently only in experimental.
  * Update paths for moved files in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Sep 2017 22:18:11 +0200
