=== debian/changelog ===
pgrouting (2.5.2-1build1) bionic; urgency=medium

  * No-change rebuild against libcgal13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Dec 2017 07:53:02 +0000

pgrouting (2.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Nov 2017 07:45:24 +0100

pgrouting (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump pgversions to 9.3+ to match postgis.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Oct 2017 09:03:54 +0200

pgrouting (2.5.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.1, no changes.
  * Update packaging for postgis 2.4.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Sep 2017 11:21:09 +0200
