=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pgrouting
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Section: misc
 Priority: optional
@@ -13,7 +14,7 @@
                python-sphinx (>= 1.0.7+dfsg),
                python3-sphinx (>= 1.0.7+dfsg),
                rdfind,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pgrouting.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pgrouting.git
 Homepage: http://www.pgrouting.org
@@ -22,7 +23,7 @@
 Architecture: any
 Depends: postgresql-10-pgrouting-scripts (>= ${source:Version}),
          postgresql-10,
-         postgresql-10-postgis-2.3 | postgresql-10-postgis-2.4,
+         postgresql-10-postgis-2.4,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: postgresql-10-pgrouting-doc
